# Function matchDimensions

- matchDimensions(input: IDimensions, reference: IDimensions, useMediaDimensions?: boolean): { height: number; width: number }

- #### Parameters

  - ##### input: IDimensions

  - ##### reference: IDimensions

  - ##### useMediaDimensions: boolean = false

  #### Returns { height: number; width: number }

  - ##### height: number

  - ##### width: number

  - Defined in dom/matchDimensions.ts:4